Bug 459880 - Review Request: anyremote2html - WEB interface for anyRemote
Review Request: anyremote2html - WEB interface for anyRemote
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 12:16 EDT by anyremote
Modified: 2008-09-15 13:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 13:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
Place to set cvs flag (193.86 KB, image/png)
2008-09-12 04:48 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description anyremote 2008-08-23 12:16:05 EDT
Spec URL: http://downloads.sourceforge.net/anyremote/anyremote2html.spec
SRPM URL: http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2-1.src.rpm
Description: WEB interface for anyRemote - http://anyremote.sourceforge.net/ - remote control software through bluetooth, IR or TCP/IP connection. anyRemote2html acts as HTTP server and translates anyRemote commands to HTML.
Comment 1 Rakesh Pandit 2008-08-24 00:21:29 EDT
Is this your first package? Are you sponsored?


[rpmbuild@rocky anyremote2html]$ rpmlint -i anyremote2html-0.5.2-1.src.rpm 
anyremote2html.src:19: W: setup-not-quiet
Use the -q option to the %setup macro to avoid useless build output from
unpacking the sources.

+ rm -rf anyremote2html-0.5.2
+ /usr/bin/gzip -dc /home/rpmbuild/rpm/SOURCES/anyremote2html-0.5.2.tar.gz
+ tar -xvvf -
drwxr-xr-x fedotov/fedotov   0 2008-08-20 21:52 anyremote2html-0.5.2/
drwxr-xr-x fedotov/fedotov   0 2007-09-12 08:32 anyremote2html-0.5.2/data/
drwxr-xr-x fedotov/fedotov   0 2007-09-12 07:45 anyremote2html-0.5.2/data/16/

use -q with setup.


anyremote2html.src:32: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

anyremote2html.src:33: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

anyremote2html.src: E: description-line-too-long WEB interface for anyRemote - http://anyremote.sourceforge.net/ - remote control
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

anyremote2html.src: E: description-line-too-long software through bluetooth, IR or TCP/IP connection. anyRemote2html acts as HTTP
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

anyremote2html.src: E: no-changelogname-tag
There is no %changelog tag in your spec file. To insert it, just insert a
'%changelog' in your spec file and rebuild it.

For every build %changelog needs to be updated.


anyremote2html.src: W: strange-permission anyremote2html-0.5.2.tar.gz 0755
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

[rpmbuild@rocky anyremote2html]$ rpmls anyremote2html-0.5.2-1.src.rpm 
-rwxr-xr-x  anyremote2html-0.5.2.tar.gz
-rw-r--r--  anyremote2html.spec

755 is bad

1 packages and 0 specfiles checked; 5 errors, 2 warnings.

[rpmbuild@rocky noarch]$  rpmlint -i anyremote2html-0.5.2-1.noarch.rpm 
anyremote2html.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

If there is any documentation e.g README doc you need to include it.
Comment 2 anyremote 2008-08-24 13:38:32 EDT
(In reply to comment #1)
> Is this your first package? Are you sponsored?
This is my 4th package. Yes, i'm sponsored.

> anyremote2html.src:19: W: setup-not-quiet
Fixed.

> anyremote2html.src:32: E: files-attr-not-set
Fixed.

> anyremote2html.src: E: description-line-too-long WEB interface for anyRemote -
Fixed

> anyremote2html.src: E: no-changelogname-tag
Umm... Fixed.

> anyremote2html.src: W: strange-permission anyremote2html-0.5.2.tar.gz 0755
Fixed

> anyremote2html.noarch: W: no-documentation
Fixed

Soory for inconvinience.

Spec URL: http://downloads.sourceforge.net/anyremote/anyremote2html.spec
SRPM URL:
http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2-2.src.rpm
Comment 3 anyremote 2008-09-01 15:00:19 EDT
Is anyone interested in this package ?
Comment 4 Mamoru TASAKA 2008-09-03 02:53:01 EDT
(In reply to comment #2)
> http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2-2.src.rpm

Seems 404...
Comment 5 anyremote 2008-09-03 07:06:00 EDT
(In reply to comment #4) 
> Seems 404...

Oops... Mamory-san i'm very sorry.  The right link is http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2-2.fc9.src.rpm
Comment 6 Mamoru TASAKA 2008-09-03 08:39:27 EDT
! Some comments
  - This file is noarch, almost no actual builds are made during 
    rpmbuild, so keeping timestamps on installed files are
    highly recommended.
    So I prefer to
    * Use "cp -a" (or "cp -pr") instead of "cp -r".
    * and use 'make install DESTDIR=$RPM_BUILD_ROOT install="install -p"'
    (This is not blockers)

* %doc
  - %{_defaultdocdir}/ is marked as %doc by default so the prefix %doc is
    redundant.

* Source tarball
  - which I could download from the URL does not coincide with
    the one in your srpm.

! %changelog
  - I recommend to add hyphen before each change description like:
-----------------------------------------------------------
* Sun Aug 24 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5.2-2  
- Corrected files permissions and specs
------------------------------------------------------------
    (see: 
     http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs )
    (This is not a blocker)
Comment 7 anyremote 2008-09-04 14:58:59 EDT
(In reply to comment #6)

>     * Use "cp -a" (or "cp -pr") instead of "cp -r".
>     * and use 'make install DESTDIR=$RPM_BUILD_ROOT install="install -p"'
OK

>   - %{_defaultdocdir}/ is marked as %doc by default so the prefix %doc is
>     redundant.
OK

>   - which I could download from the URL does not coincide with
>     the one in your srpm.
Updated to coincide with each other.
 
> - Corrected files permissions and specs
OK

Updated files:
Spec URL: http://downloads.sourceforge.net/anyremote/anyremote2html.spec
SRPM URL:
http://downloads.sourceforge.net/anyremote/anyremote2html0.5.2-3.fc9.src.rpm
Comment 8 Mamoru TASAKA 2008-09-05 11:23:15 EDT
Well,

(In reply to comment #7)
> (In reply to comment #6)
> >   - which I could download from the URL does not coincide with
> >     the one in your srpm.
> Updated to coincide with each other.

Please don't do this way.
As the upstream you should not modify the tarball once formally released without
changing the version, unless people who want to download and compile your source by themselves
will get confused.

Please restore 0.5.2 tarball you released first and if you want to modify the
tarball itself please change the version of the tarball.

Note:
Some upstream maintainers change the tarballs in the srpms during review requests
with_out_ releasing the tarballs formally and when the reviews are passed they
release the final tarballs as formal ones.
Comment 9 anyremote 2008-09-05 15:46:20 EDT
(In reply to comment #8)

> if you want to modify the
> tarball itself please change the version of the tarball.
OK. Updated tarball and specs are here:

SRPM
http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2.1-1.src.rpm

SPEC
http://downloads.sourceforge.net/anyremote/anyremote2html.spec

TARBALL
http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2.1.tar.gz
Comment 10 Mamoru TASAKA 2008-09-06 10:36:33 EDT
Would you check what spec file you are using?
Comment 11 anyremote 2008-09-06 14:12:55 EDT
(In reply to comment #10)
> Would you check what spec file you are using?
Umm... I've downloaded it from specified location and checked.
Sorry, what wrong with it ? IMHO it is OK.
Comment 12 Mamoru TASAKA 2008-09-07 11:25:21 EDT
(In reply to comment #9)
> (In reply to comment #8)
> SRPM
> http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2.1-1.src.rpm

The spec file in this srpm
- lacks %changelog completely
- %_dist tag disappeared.
- Also this comment is ignored:
(In reply to comment #6)
>     * and use 'make install DESTDIR=$RPM_BUILD_ROOT install="install -p"'
>     (This is not blockers)
Comment 13 anyremote 2008-09-08 14:27:31 EDT
(In reply to comment #12)

> The spec file in this srpm
> - lacks %changelog completely
Oh... You are right. This srpm is not for Fedora ...

This is the right one:
http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2.1-1.fc9.src.rpm
Comment 14 Mamoru TASAKA 2008-09-10 02:07:55 EDT
For 0.5.2.1-1:

One issue:
* autotool automated call
-----------------------------------------------
    57  Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.maoOL6
    58  + umask 022
    59  + cd /builddir/build/BUILD
    60  + cd anyremote2html-0.5.2.1
    61  + LANG=C
    62  + export LANG
    63  + unset DISPLAY
    64  + rm -rf /builddir/build/BUILDROOT/anyremote2html-0.5.2.1-1.fc10.noarch
    65  + make install DESTDIR=/builddir/build/BUILDROOT/anyremote2html-0.5.2.1-1.fc10.noarch 'install=install -p'
    66  cd . && /bin/sh /builddir/build/BUILD/anyremote2html-0.5.2.1/missing --run aclocal-1.10 
    67  /builddir/build/BUILD/anyremote2html-0.5.2.1/missing: line 54: aclocal-1.10: command not found
    68  WARNING: `aclocal-1.10' is missing on your system.  You should only need it if
    69           you modified `acinclude.m4' or `configure.in'.  You might want
    70           to install the `Automake' and `Perl' packages.  Grab them from
    71           any GNU archive site.
    72   cd . && /bin/sh /builddir/build/BUILD/anyremote2html-0.5.2.1/missing --run automake-1.10 --gnu 
-----------------------------------------------
  - It is not desired that autotools are automatically called after
    configure. Usually timestamps on some files are wrong and this
    can be fixed by "touch"ing some files.
Comment 15 anyremote 2008-09-11 14:08:44 EDT
(In reply to comment #14)
> One issue:
> * autotool automated call
Fixed.

New SRPM
http://downloads.sourceforge.net/anyremote/anyremote2html-0.5.2.2-1.fc9.src.rpm

SPEC file
http://downloads.sourceforge.net/anyremote/anyremote2html.spec
Comment 16 Mamoru TASAKA 2008-09-12 02:02:49 EDT
Okay.

------------------------------------------------------------
   This package (anyremote2html) is APPROVED by mtasaka
------------------------------------------------------------
Comment 17 anyremote 2008-09-12 04:01:56 EDT
(In reply to comment #16)
> Okay.
Thanks a lot. 

Umm... there is an issue here. I can not find fedora-cvs flag on this page.
Looks strange... After re-reading of http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
situation does not becane clearer.
Comment 18 Mamoru TASAKA 2008-09-12 04:48:22 EDT
Created attachment 316549 [details]
Place to set cvs flag

(In reply to comment #17)
> (In reply to comment #16)
> Umm... there is an issue here. I can not find fedora-cvs flag on this page.

I can see the place to set fedora-cvs flag. Would you check
if you can see the place shown in the attached file?
Comment 19 anyremote 2008-09-12 05:57:52 EDT
New Package CVS Request
=======================
Package Name: anyremote2html
Short Description: WEB interface for anyRemote
Owners: anyremote
Branches: F-8 F-9
InitialCC: anyremote
Comment 20 Huzaifa S. Sidhpurwala 2008-09-12 06:26:41 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.